/**
 * Created by lyoncat on 2017/07/06.
 */

const Logger = require('xclogutil').LoggerUtil; 
const logger = new Logger("xcdsutils", "./logs/"); 

const Sequelize = require('sequelize');
const dbCfg = require('./config').mysql;


/**
 * db访问创建函数
 * @param {*} database 
 */
let SequelizeCreate = function (database) {
    return new Sequelize(database || dbCfg.database, dbCfg.user, dbCfg.password, {
        host: dbCfg.host,
        port: dbCfg.port,
        dialect: 'mysql',
        logging: console.log,
        benchmark: true,
        pool: {
            max: 100,
            min: 0,
            idle: 30000
        }
    });
}

/**
 * 创建全局db，默认是访问scm库
 */
const gSequelize = SequelizeCreate('device');
gSequelize.authenticate().then(() => {
    logger.info('---------db connect suc');
}).catch((err) => {
    logger.error('---------db connect fail', err);
})

/**
 * 如有需要，创建其他库的访问
 */

 /**
  * create gps databases
  */
  const gpsSequelize = SequelizeCreate('ebike');
  gpsSequelize.authenticate().then(() => {
    logger.info('-------gps--db connect suc');
  }).catch((err) => {
    logger.error('-------gps--db connect fail', err);
  })


module.exports = {
    Sequelize,
    gSequelize
};
